/* this is parsing.c file.
 * this is part of the libspopc library sources
 * copyright  2002 Benoit Rouits <brouits@free.fr>
 * released under the terms of GNU LGPL
 * (GNU Lesser General Public Licence).
 * libspopc offers simple API for a pop3 client (MTA).
 * See RFC 1725 for pop3 specifications.
 * more information on http://brouits.free.fr/libspopc/
 */

#include <string.h>
#include "libspopc.h"

int dotline(char* buf, int bs){
/* returns 1 if buf contains a "\n.\n" or "\n.\0" substring */
        if(!(buf&&bs)){
#ifdef EBUG
                fprintf(stderr,"<dotline>\nempty buf ?\n");
#endif
                return(0);
        }
        while(bs-2){
                if(DOTLINE(buf)){
#ifdef EBUG
			fprintf(stderr,"<dotline>\n");
                        fprintf(stderr,"found dotline\n");
			fprintf(stderr,"</dotline>\n");
#endif
                        return(1);
                }
                buf++;
                bs--;
        }
#ifdef EBUG
	fprintf(stderr,".");
#endif
        return(0);
}

int pop3_error(char* string){
/* returns 1 if pop server error reply (i.e : -ERR ...) */
	return(!strncmp(string,"-ERR",(size_t)4));
}
